@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Jost:ital,wght@0,100..900;1,100..900&family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&family=Titillium+Web:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Jost:ital,wght@0,100..900;1,100..900&family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Roboto:ital,wght@0,100..900;1,100..900&family=Titillium+Web:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Goldman:wght@400;700&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Jost:ital,wght@0,100..900;1,100..900&family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Orbitron:wght@400..900&family=Oxanium:wght@200..800&family=Roboto:ital,wght@0,100..900;1,100..900&family=Sarpanch:wght@400;500;600;700;800;900&family=Science+Gothic:wght@100..900&family=Titillium+Web:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  width: 100%;
  min-height: 100%;
}

header {
  height: 5rem;
  background: linear-gradient(130deg, #010c11, #010609);
  display: flex;
  align-items: center;
  justify-content: space-around;
}

.mainlogo {
  max-width: 10rem;
  /* background-color: green; */
}

.mainlogo img {
  width: 100%;
}

.navbar {
  max-width: 30rem;
  /* background-color: green; */
  display: flex;
  column-gap: 2rem;
}

.navbar h4 {
  color: rgb(195, 195, 195);
  font-weight: 400;
  font-family: "Jost";
  padding: 1rem 0;
}

.navbar h4:nth-child(1) {
  position: relative;
}

.navbar h4:nth-child(1)::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;

  width: 100%;
  height: 2px;
  background: #00ffcc;

  box-shadow: 1px -7px 25px 3px #00ffcc;
}

header button {
  padding: 0.8rem 1.4rem;
  border-radius: 25px;
  background-color: transparent;
  color: rgb(195, 195, 195);
  border: 1.5px solid #00ffcc;
  display: flex;
  align-self: center;
}

.headerbutton svg {
  width: 15px;
  height: 15px;
  color: #00ffcc;
  margin: 0 0 0 0.7rem;
}

main {
  min-height: 100vh;
  background: radial-gradient(circle at center, #010609 1%, #010c11 100%);
}

.hero {
  min-height: 140vh;
  display: flex;
  position: relative;
}

.detail {
  max-width: 32rem;
  min-height: 100%;
  /* background-color: green; */
  margin: 0 0 0 3rem;
  margin-top: 5rem;
  line-height: 5rem;
}

.detail h4 {
  font-family: "Montserrat";
  font-size: 1.4rem;
  font-weight: 400;
  color: #00ffcc;
}

.detail h1 {
  z-index: 9;
  font-family: "Sarpanch";
  font-size: 7.5rem;
  z-index: 10;
  color: rgb(195, 195, 195);
}

.detail h1 span {
  color: #00ffcc;
  font-size: 7rem;
}

.detail h3 {
  font-family: "Montserrat";
  font-size: 1.4rem;
  font-weight: 400;
  color: rgb(195, 195, 195);
  line-height: 1.8rem;
  margin-top: 1.2rem;
}

.description {
  font-family: "Montserrat";
  font-weight: 400;
  color: rgb(174, 174, 174);
  line-height: 1.2rem;
  margin-top: 1.2rem;
}

.detail-button {
  margin-top: 1.8rem;
  width: 88%;
  height: 3.2rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  /* background-color: pink; */
}

.button1 {
  height: 100%;
  display: flex;
  align-items: center;
  padding: 0 1.8rem;
  border-radius: 8px;
  border: 1.5px solid #00ffcc;
  font-weight: 600;
  color: rgb(174, 174, 174);
  background: linear-gradient(90deg, #010c11 35%, #00ffcc);
}

.detail div button i {
  margin-left: 0.5rem;
  font-size: 30px;
}

.play {
  display: flex;
  align-items: center;
}

.play button {
  width: 2.6rem;
  height: 2.6rem;
  border-radius: 50%;
  border: 1.5px solid #00ffcc;
  background-color: transparent;
  display: flex;
  justify-content: center;
  align-items: center;
}

.play svg {
  height: 21px;
  width: 21px;
  color: white;
}

.play p {
  font-family: "Jost";
  font-weight: 400;
  color: rgb(195, 195, 195);
  margin-left: 0.6rem;
}

.character-img {
  position: absolute;
  height: 130vh;
  width: 49vw;
  top: 0;
  left: 36vw;
}

.character {
  position: absolute;
  width: 100%;
  height: 100%;
}

.hero-options {
  position: absolute;
  display: flex;
  flex-direction: column;
  right: 3rem;
  top: 7rem;
  width: 12rem;
  height: 20rem;
  row-gap: 3rem;
  /* background-color: green; */
}

.option {
  height: 3.8rem;
  display: flex;
  align-items: center;
  /* justify-content: flex-end; */
  /* background-color: blue; */
}

.option button {
  height: 3.8rem;
  width: 3.8rem;
  border-radius: 25px;
  background-color: transparent;
  border: 1.5px solid #00ffcc;
  box-shadow: 0 0 12px -2px #00ffcc;
  box-shadow: 0 0 -12px -2px #00ffcc;
  /* background-color: gold; */
}

.option svg {
  width: 2rem;
  height: 2rem;
  color: #00ffcc;
}

.option h4 {
  margin-left: 1rem;
  font-family: "Jost";
  font-weight: 400;
  font-size: 15px;
  color: rgb(195, 195, 195);
}

.horizontaldiv {
  position: absolute;
  top: 105vh;
  left: 2.5rem;
  width: 95%;
  height: 10rem;
  z-index: 11;
  display: flex;
  align-items: center;
  background: radial-gradient(circle at center, #0c1519 50%, #0c1216 100%);
  background-color: #0b1418;
  border-radius: 25px;
  border: 1.5px solid #0f2a2b;
}

.star1 {
  width: 13rem;
  height: 11rem;
  position: absolute;
  top: -2rem;
  /* background-color: pink; */
}

.star1 img {
  width: 100%;
  height: 100%;
}

.rating {
  width: 60%;
  height: 5rem;
  /* background-color: pink; */
  margin-left: 15rem;
  display: flex;
  align-items: center;
}

.ratingdiv {
  width: 25%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.1rem;
  /* background-color: red; */
}

.ratingdiv h1 {
  font-family: "Sarpanch";
  color: #00ffcc;
}

.ratingdiv p {
  font-family: "Montserrat";
  color: rgb(195, 195, 195);
  text-align: center;
  font-size: 0.7rem;
}

.ratingline {
  width: 2px;
  height: 80%;
  background-color: #154a4b;
}

.star2 {
  width: 13rem;
  height: 13rem;
  position: absolute;
  right: 0rem;
  top: -4rem;
  /* background-color: pink; */
}

.star2 img {
  width: 100%;
  height: 100%;
}

/* project section starts from here */

.projects {
  min-height: 80vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  row-gap: 0.5rem;
  background: radial-gradient(circle at center, #010609 1%, #010c11 100%);
}

.projectHeading {
  width: 90%;
  height: 5rem;
  /* background-color: orange; */
  display: flex;
  justify-content: center;
  position: relative;
}

.projectname {
  height: 100%;
  width: 25%;
  text-align: center;
  font-family: "Montserrat";
  /* background-color: green; */
}

.projectarrow {
  height: 100%;
  max-width: 7rem;
  /* background-color: green; */
  position: absolute;
  right: 0;
  display: flex;
  align-items: center;
  column-gap: 1rem;
}

.projectarrow button {
  height: 2.7rem;
  width: 2.7rem;
  background-color: transparent;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 2rem;
  color: rgb(195, 195, 195);
  border: 1px solid rgb(195, 195, 195);
}

.projectarrow button:nth-child(2) {
  color: #00ffcc;
  border: 1px solid #00ffcc;
}

.projectContent {
  width: 87%;
  height: 60vh;
  display: flex;
  justify-content: space-between;
}

.project {
  width: 32%;
  height: 100%;
  border-radius: 25px;
  border: 0.2px solid #00ffcc55;
  overflow: hidden;
}

.project img {
  width: 100%;
  height: 65%;
}

.project p {
  color: rgb(174, 174, 174);
  font-family: "Montserrat";
  font-size: 0.8rem;
  padding: 2vh 0 0 1rem;
}

.projectlogo {
  width: 25%;
  height: 2.5rem;
  margin: 1.5vh 0 0 1rem;
}

.projectlogo img {
  height: 100%;
  width: 45%;
}

.projectcontent button {
  height: 2.7rem;
  width: 2.7rem;
  background-color: transparent;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 2rem;
  position: absolute;
  bottom: 1rem;
  right: 2rem;
  color: #00ffcc;
  border: 1px solid #00ffcc55;
}

.work {
  min-height: 40vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: radial-gradient(circle at center, #010609 1%, #010c11 100%);
}

.workheading {
  height: 10vh;
  text-align: center;
  font-family: "Montserrat";
}

.workcontainer {
  width: 90%;
  height: 30vh;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.works {
  width: 17%;
  height: 85%;
  border-radius: 25px;
  display: flex;
  align-items: flex-start;
  overflow: hidden;
  gap: 0.5rem;
  border: 0.2px solid #00ffcc55;
}

.works button {
  height: 3.5rem;
  width: 3.5rem;
  background-color: transparent;
  border-radius: 50%;
  display: flex;
  margin: 1.2rem 0 0 0.8rem;
  justify-content: center;
  align-items: center;
  font-size: 2.4rem;
  color: #00ffcc;
  border: 0.2px solid #00ffcc55;
}

.works img {
  height: 2.4rem;
  width: 2.4rem;
}

.works div {
  margin-top: 1rem;
  height: 80%;
  width: 65%;
  display: flex;
  flex-direction: column;
  gap: 0.3rem;
}

.works div h1 {
  font-family: "Sarpanch";
  color: #00ffcc;
  font-size: 1.8rem;
}

.works div h2 {
  font-size: 0.8rem;
  color: #00ffcc;
  font-weight: 400;
  font-family: "Montserrat";
}

.works div p {
  font-family: "Montserrat";
  font-size: 0.7rem;
  font-weight: 400;
  color: rgb(195, 195, 195);
}

footer {
  min-height: 50vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  background: radial-gradient(circle at center, #010609 1%, #010c11 100%);
}

section.contact {
  margin-top: 0.6rem;
  height: 40vh;
  width: 90%;
  border-radius: 25px;
  border: 0.2px solid #00ffcc55;
  display: flex;
  background: url(./assets/footer.png);
  background-size: cover;    
  background-position: center; 
  background-repeat: no-repeat;
  align-items: center;
  justify-content: space-around;
}

.contact1 {
  height: 71%;
  width: 25rem;
  line-height: 2.4rem;
}

.contact1 h1 {
  font-size: 1.7rem;
  font-family: "Montserrat";
  font-weight: 400;
  color: rgb(195, 195, 195);
}

.contact1 p {
  font-size: 0.8rem;
  font-family: "Montserrat";
  font-weight: 400;
  color: rgb(195, 195, 195);
}

.contact1 button {
  height: 3.2rem;
  margin-top: 1vh;
  display: flex;
  gap: 0.8rem;
  align-items: center;
  padding: 0 1.8rem;
  border-radius: 8px;
  border: 1.5px solid #00ffcc;
  font-weight: 600;
  color: rgb(174, 174, 174);
  background: linear-gradient(90deg, #010c11 35%, #00ffcc);
}

.contact1 button i {
  font-size: 2rem;
}

.contact2 {
  height: 70%;
  width: 32rem;
  display: flex;
  align-items: center;
}

.contact2-1 {
  width: 50%;
  height: 100%;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.contact2-1 img {
  height: 3.4rem;
  width: 70%;
}

.contact2-1 p {
  font-size: 0.8rem;
  font-family: "Montserrat";
  font-weight: 400;
  margin-left: 1rem;
  color: rgb(195, 195, 195);
}

.contactlogo {
  width: 80%;
  height: 3rem;
  margin-left: 1rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.contactlogo button {
  width: 2.5rem;
  height: 2.5rem;
  background-color: transparent;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 0.2px solid #00ffcc55;
}

.contactlogo button img {
  width: 70%;
  height: 70%;
}

.line {
  height: 80%;
  width: 1px;
  background-color: #00ffcc55;
}

.contact2-2 {
  padding-left: 2rem;
  width: 50%;
  height: 100%;
}

.contact2-2 h6 {
  font-size: 0.9rem;
  font-family: "Montserrat";
  font-weight: 400;
  color: rgb(195, 195, 195);
  margin: 1rem 0 1.5rem 0;

}

.contact2-2 div {
  margin: 0.5rem 0;
  column-gap: 0.5rem;
  display: flex;
}
.contact2-2 p{
  color: rgb(195, 195, 195);
  font-family: "Montserrat";
  font-weight: 400;
  font-size: 0.8rem;
}
section.end{
  width: 100%;
  height: 10vh;
  display: flex;
  align-items: center;
  justify-content: space-around;
}
section.end p{
    font-family: "Montserrat";
  font-weight: 400;
  font-size: 0.7rem;
  color: rgb(195, 195, 195);
}